angular.module('avalanche3mobile.BriefingCtrl', [])

  .controller('MissionBriefingCtrl', function($scope, $stateParams, mission, OAuthService, $state, DataService) {

    $scope.mission = DataService.getMission($state.params.missionId);
    console.log(mission)

    $scope.status = function(status_code) {
      switch (status_code) {
        case 1:
          return "Planning";
          break;
        case 2:
          return "Launched";
          break;
        case 3:
          return "Completed";
          break;
        case 4:
          return "Failed";
          break;
        case 5:
          return "Canceled";
          break;
        default:
          return "Error"
          break;
      }
    }
  })
